#!/bin/bash

source ./ephemeral-x.sh
source ./annotate_header.sh
source ./utils.sh

start_firefox
prepare_firefox
load_website "biedronka.pl"
open_network_inspector
network_inspector_search "method:GET domain:adocean.pl" # can filter with more granularity: https://developer.mozilla.org/en-US/docs/Tools/Network_Monitor/request_list#filtering_by_properties

index=0

declare -a pids;
pids=()

while network_inspector_has_more_entries
do
  filename="${index}.png"
  scrot "$filename"
  annotate_header "$filename" \
    "set-cookie" "identyfikator internetowy z cookie" \
    "Cookie" "identyfikator internetowy z cookie" \
    "Referer" "Część mojej historii przeglądania" &
  pids+=($!)
  network_inspector_next_entry
  ((index++))
done

echo "starting wait..."

jobs -l

for PID in "${pids[@]}"
do
     wait $PID
done


kill -2 %%;

cleanup


echo "Done!"
